> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Deliveries

> List delivery history for a webhook (paginated).



## OpenAPI

````yaml get /api/v1/webhooks/{webhook_id}/deliveries
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - webhooks
        - Webhooks
      summary: List delivery history for a webhook
      description: List delivery history for a webhook (paginated).
      operationId: list_deliveries_api_v1_webhooks__webhook_id__deliveries_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WebhookDeliveryResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: WebhookDeliveryListResponse
      description: Paginated list of webhook deliveries.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookDeliveryResponse:
      properties:
        id:
          type: string
          title: Id
        webhook_id:
          type: string
          title: Webhook Id
        event:
          type: string
          title: Event
        payload:
          additionalProperties: true
          type: object
          title: Payload
        response_status:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Status
        response_body:
          anyOf:
            - type: string
            - type: 'null'
          title: Response Body
        attempt_number:
          type: integer
          title: Attempt Number
        delivered_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Delivered At
        next_retry_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Retry At
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - webhook_id
        - event
        - payload
        - response_status
        - response_body
        - attempt_number
        - delivered_at
        - next_retry_at
        - status
        - created_at
      title: WebhookDeliveryResponse
      description: Webhook delivery details.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````